Subject: connect() failure
From: [email-masked] (Bart Anderson)

9 May 1997 19:35:41 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
X-Mailer: Mozilla 3.01 (Win95; I)
MIME-Version: 1.0
Original-To: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Has anyone encountered this problem with connect? I checked the faq and
the archive, but couldn't find anything that popped out at me.

Porting a unix tool I had written on the sun, I had to cast the
sockaddr_in sturcture to sockaddr structure which I see has padding for
the sockaddr_in. Are these fields not used? If not, how would I get
similar functionality?
     _
    /* connect to the host
*/                                                 _
    ret = connect( sd, ( struct sockaddr * ) (struct sockaddr_in * )
&sd_name,_
                                sizeof( struct sockaddr_in
));                _
                                                                             
_

Thanks,
	Bart.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".